Bug 1477183 - ansible fails to remove wildcarded packages
ansible fails to remove wildcarded packages
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: ansible (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 08:22 EDT by Marko Myllynen
Modified: 2017-10-21 18:57 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marko Myllynen 2017-08-01 08:22:36 EDT
Description of problem:
Something like this worked ok on Fedora 25 but now with Fedora 26 / ansible-2.3.1 no packages are removed:

- name: Remove unhelpful packages
  package: name={{ item }} state=absent
  with_items:
    - '*libreoffice*'

Version-Release number of selected component (if applicable):
ansible-2.3.1.0-1.fc26
dnf-2.6.2-1.fc26

How reproducible:
Always.
Comment 1 Kevin Fenzi 2017-08-03 17:14:28 EDT
Would you be willing to report this upstream? 

https://github.com/ansible/ansible/issues

also, does anything change if you use 'dnf' instead of package: ?
Comment 2 Marko Myllynen 2017-08-04 03:14:11 EDT
(In reply to Kevin Fenzi from comment #1)
> Would you be willing to report this upstream? 

Sure:

https://github.com/ansible/ansible/issues/27744

> also, does anything change if you use 'dnf' instead of package: ?

Yes, please see the upstream ticket for details.

Thanks.
Comment 3 ernie_07 2017-10-21 18:57:53 EDT
Added Info:
Environment: Updated Fedora 26 Workstation and updated ansible
Failure in modules package AND dnf: state=absent gets ignored

Note You need to log in before you can comment on or make changes to this bug.